Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/Frpos2CategorieMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/Frpos2CategorieMacro.groovy	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/Frpos2CategorieMacro.groovy	(revision 786)
@@ -172,7 +172,7 @@
 if (!ParametersDialog.open(this)) return
 
 corpus = corpusViewSelection
-CQI = CQPEngine.getCqiClient()
+CQI = CQPSearchEngine.getCqiClient()
 word = corpus.getWordProperty()
 posProperty = corpus.getProperty(pos_property_name)
 if (posProperty == null) {
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java	(revision 786)
@@ -21,7 +21,7 @@
 import org.txm.objects.BaseParameters;
 import org.txm.rcp.Application;
 import org.txm.rcp.TxmPreferences;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -88,8 +88,8 @@
 		int[] starts = mainCorpus.getTextStartLimits();
 		int[] ends = mainCorpus.getTextEndLimits();
 		StructuralUnit su_text = mainCorpus.getStructuralUnit("text");
-		int[] strucs = CQPEngine.getCqiClient().cpos2Struc(su_text.getQualifiedName(), starts);
-		String[] ids = CQPEngine.getCqiClient().struc2Str(su_text.getProperty("id").getQualifiedName(), strucs);
+		int[] strucs = CQPSearchEngine.getCqiClient().cpos2Struc(su_text.getQualifiedName(), starts);
+		String[] ids = CQPSearchEngine.getCqiClient().struc2Str(su_text.getProperty("id").getQualifiedName(), strucs);
 
 		File textsDirectory = new File(outputDirectory, "texts");
 		textsDirectory.mkdir();
@@ -349,7 +349,7 @@
 				writer.writeStartElement("span");
 				writer.writeAttribute("id", id);
 				int[] cpos = {unite.getDeb(), unite.getFin()};
-				String[] wordids = CQPEngine.getCqiClient().cpos2Str(wordid.getQualifiedName(), cpos);
+				String[] wordids = CQPSearchEngine.getCqiClient().cpos2Str(wordid.getQualifiedName(), cpos);
 				writer.writeAttribute("from", "text:"+wordids[0]);
 				writer.writeAttribute("to", "text:"+wordids[1]);
 				writer.writeAttribute("ana", "#"+id+"-fs");
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/export/ExportToGlozzMacro.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/export/ExportToGlozzMacro.java	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/export/ExportToGlozzMacro.java	(revision 786)
@@ -24,7 +24,7 @@
 import org.txm.Toolbox;
 import org.txm.analec.AnalecCorpora;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -43,7 +43,7 @@
 		int size = corpus.getSize(); // you may also use:
 										// corpus.getTextEndLimits() (= index of
 										// last token = size-1)
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 		Property word = corpus.getWordProperty();
 		// note: using "lbn" seems to work better than "pn" (some imported
 		// corpora are missing this information)
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 786)
@@ -42,7 +42,7 @@
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.swt.dialog.ConfirmDialog;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
@@ -551,7 +551,7 @@
 						final Integer unitNo = Arrays.binarySearch(unites, unit)+1;
 
 						MenuItem item = new MenuItem(menu, SWT.NONE);
-						AbstractCqiClient CQI = CQPEngine.getCqiClient();
+						AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 						try {
 							if (unit.getDeb() == unit.getFin()) {
 								String[] firstWords = CQI.cpos2Str(maincorpus.getWordProperty().getQualifiedName(), new int[]{unit.getDeb()});
@@ -581,7 +581,7 @@
 	}
 
 	public String uniteToWords(Unite unit) {
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 		String[] firstWords = null;
 		try {
 			if (unit.getDeb() == unit.getFin()) {
@@ -618,7 +618,7 @@
 				editor.removeFontWeightWordsById(previousSelectedTypeUnitIDS);
 				previousSelectedTypeUnitIDS = null; // release memory
 			}
-			String ids2[] = CQPEngine.getCqiClient().cpos2Str(maincorpus.getProperty("id").getQualifiedName(), allpositions); //$NON-NLS-1$
+			String ids2[] = CQPSearchEngine.getCqiClient().cpos2Str(maincorpus.getProperty("id").getQualifiedName(), allpositions); //$NON-NLS-1$
 			previousSelectedTypeUnitIDS = Arrays.asList(ids2);
 
 			editor.addHighlightWordsById(highlighted_unit_color, previousSelectedTypeUnitIDS);
@@ -655,13 +655,13 @@
 				previousSelectedUnitIDS = null; // release memory
 			}
 
-			String ids[] = CQPEngine.getCqiClient().cpos2Str(maincorpus.getProperty("id").getQualifiedName(), positions); //$NON-NLS-1$
+			String ids[] = CQPSearchEngine.getCqiClient().cpos2Str(maincorpus.getProperty("id").getQualifiedName(), positions); //$NON-NLS-1$
 //			System.out.println("Highlight words with ids="+Arrays.toString(ids));
 
 			//positions = new int[]{positions[0]};
 			Property text_id = maincorpus.getStructuralUnit("text").getProperty("id"); //$NON-NLS-1$ //$NON-NLS-2$
-			int[] text_strucs = CQPEngine.getCqiClient().cpos2Struc(text_id.getQualifiedName(), positions);
-			String[] text_ids = CQPEngine.getCqiClient().struc2Str(text_id.getQualifiedName(), text_strucs);
+			int[] text_strucs = CQPSearchEngine.getCqiClient().cpos2Struc(text_id.getQualifiedName(), positions);
+			String[] text_ids = CQPSearchEngine.getCqiClient().struc2Str(text_id.getQualifiedName(), text_strucs);
 
 			String firstWordId = ids[0];
 			String firstWordTextId = text_ids[0];
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 786)
@@ -39,7 +39,7 @@
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.swt.dialog.ConfirmDialog;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
@@ -510,7 +510,7 @@
 					editor.removeHighlightWordsById(highlighted_unit_color, previousSelectedSchemaIDS);
 					previousSelectedSchemaIDS = null; // release memory
 				}
-				String ids2[] = CQPEngine.getCqiClient().cpos2Str(c.getProperty("id").getQualifiedName(), allpositions); //$NON-NLS-1$
+				String ids2[] = CQPSearchEngine.getCqiClient().cpos2Str(c.getProperty("id").getQualifiedName(), allpositions); //$NON-NLS-1$
 				previousSelectedSchemaIDS = Arrays.asList(ids2);
 
 				editor.addHighlightWordsById(highlighted_unit_color, previousSelectedSchemaIDS);
@@ -537,13 +537,13 @@
 				previousSelectedUniteIDS = null; // release memory
 			}
 
-			String ids[] = CQPEngine.getCqiClient().cpos2Str(c.getProperty("id").getQualifiedName(), positions); //$NON-NLS-1$
+			String ids[] = CQPSearchEngine.getCqiClient().cpos2Str(c.getProperty("id").getQualifiedName(), positions); //$NON-NLS-1$
 			//System.out.println("Highlight words with ids="+Arrays.toString(ids));
 
 			positions = new int[]{positions[0]};
 			Property text_id = c.getStructuralUnit("text").getProperty("id"); //$NON-NLS-1$ //$NON-NLS-2$
-			int[] text_strucs = CQPEngine.getCqiClient().cpos2Struc(text_id.getQualifiedName(), positions);
-			String[] text_ids = CQPEngine.getCqiClient().struc2Str(text_id.getQualifiedName(), text_strucs);
+			int[] text_strucs = CQPSearchEngine.getCqiClient().cpos2Struc(text_id.getQualifiedName(), positions);
+			String[] text_ids = CQPSearchEngine.getCqiClient().struc2Str(text_id.getQualifiedName(), text_strucs);
 
 			String firstWordId = ids[0];
 			String firstWordTextId = text_ids[0];
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/imports/AnalecAnnotationsImporter.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/imports/AnalecAnnotationsImporter.java	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/imports/AnalecAnnotationsImporter.java	(revision 786)
@@ -20,7 +20,7 @@
 import org.txm.Toolbox;
 import org.txm.importer.graal.PersonalNamespaceContext;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -134,7 +134,7 @@
 	}
 
 	private List<Integer> processText(String textid, File xmlTXMFile) throws Exception {
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 		// N unit, N unit error, N unit no match error, N unit too much match error, N Relation, N Relation error, N Schema, N Schema error
 		int nUnitsAdded = 0;
 		int nUnitsError = 0;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/imports/DOMAnalecAnnotationsImporter.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/imports/DOMAnalecAnnotationsImporter.java	(revision 785)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/imports/DOMAnalecAnnotationsImporter.java	(revision 786)
@@ -10,7 +10,7 @@
 import org.txm.Toolbox;
 import org.txm.importer.graal.PersonalNamespaceContext;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.xml.DomUtils;
 import org.w3c.dom.Document;
@@ -71,7 +71,7 @@
 	}
 
 	private void processText(String textid, File xmlAnalec) throws Exception {
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 
 		HashMap<String, HashMap<String, String>> elementProperties = new HashMap<String, HashMap<String, String>>();
 
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 785)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 786)
@@ -20,7 +20,7 @@
 import org.txm.index.core.functions.Index;
 import org.txm.index.core.functions.Line;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -352,7 +352,7 @@
 	private ArrayList<Match> buildMatches_CQI(String[] strings) throws CqiClientException, IOException, CqiServerError {
 		boolean debug = false;
 		ArrayList<Match> matches = new ArrayList<Match>();
-		AbstractCqiClient CQI = CQPEngine.getCqiClient();
+		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
 		Property idProperty = getCorpus().getProperty("id");
 
 		if (debug) System.out.println("Call CQI.str2Id with strings.len="+strings.length);
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 785)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 786)
@@ -91,7 +91,7 @@
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.QueriesView;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -403,7 +403,7 @@
 					} catch (Exception e) {
 						System.out.println(e.getLocalizedMessage());
 						try {
-							System.out.println(TXMUIMessages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
+							System.out.println(TXMUIMessages.LastCQPError + CQPSearchEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
 							System.out.println(IndexUIMessages.IndexEditor_10+e1);
 						}
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 785)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 786)
@@ -45,7 +45,7 @@
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
@@ -147,7 +147,7 @@
 						Log.severe(e.toString());
 						
 						try {
-							System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+							System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
 							System.out.println(TXMUIMessages.CreateSubCorpus_2+e1);
 							org.txm.rcp.utils.Logger.printStackTrace(e1);
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/CQPAnnotationManager.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/CQPAnnotationManager.java	(revision 785)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/CQPAnnotationManager.java	(revision 786)
@@ -10,7 +10,7 @@
 import org.txm.annotation.core.repository.AnnotationType;
 import org.txm.annotation.core.repository.KnowledgeRepository;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -122,15 +122,15 @@
 			AnnotationType sup_type = supList.get(sup);
 			if (sup_type != null) sup_name = sup_type.getId();
 			
-			int Nstruct = CQPEngine.getCqiClient().attributeSize(sup.getQualifiedName());
+			int Nstruct = CQPSearchEngine.getCqiClient().attributeSize(sup.getQualifiedName());
 
 			//TODO: can optimize this, to fetch only structure that matches
 			int[] iStructs = new int[Nstruct];
 			for (int iStruct = 0; iStruct < Nstruct; iStruct++) iStructs[iStruct] = iStruct;
-			String svalues[] = CQPEngine.getCqiClient().struc2Str(sup.getQualifiedName(), iStructs); // one position
+			String svalues[] = CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), iStructs); // one position
 
 			for (int iStruct = 0; iStruct < Nstruct; iStruct++) {
-				int smatch[] = CQPEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
+				int smatch[] = CQPSearchEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
 
 				if (value != null) { // supplementary test if value is specified
 					if (!value.equals(svalues[iStruct])) {
@@ -194,7 +194,7 @@
 		Property prop = corpus.getProperty(type.getId().toLowerCase());
 		if (prop == null) return nullAnnotationList(matches.size()); // no property, no annotation :)
 
-		AbstractCqiClient cqi = CQPEngine.getCqiClient();
+		AbstractCqiClient cqi = CQPSearchEngine.getCqiClient();
 		
 		int positions[] = new int[matches.size()];
 		int i = 0;
@@ -231,7 +231,7 @@
 		StructuralUnitProperty sup = su.getProperty(REF);
 		if (sup == null) return nullAnnotationList(matches.size()); // no attribute REF, no annotation :)
 
-		int Nstruct = CQPEngine.getCqiClient().attributeSize(sup.getQualifiedName());
+		int Nstruct = CQPSearchEngine.getCqiClient().attributeSize(sup.getQualifiedName());
 		int iMatch = 0;
 		int iStruct = 0;
 		int Nmatches = matches.size();
@@ -241,7 +241,7 @@
 		if (Nstruct == 0) return new ArrayList<Annotation>(matches.size()); // no annotation
 		//System.out.println("NUMBER OF STRUCT "+sup+" "+Nstruct);
 		//System.out.println("MATCHES "+matches);
-		int smatch[] = CQPEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
+		int smatch[] = CQPSearchEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
 		//System.out.println(" TEST WITH "+smatch[0]+"-"+smatch[1]);
 		if (overlap) {
 			for (iMatch = 0 ; iStruct < Nstruct && iMatch < Nmatches; ) {
@@ -250,7 +250,7 @@
 				if(smatch[1] < m.getStart()) { // next struct
 					iStruct++;
 					if (iStruct < Nstruct)
-						smatch = CQPEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
+						smatch = CQPSearchEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
 					//System.out.println(" NEXT STRUCT TEST WITH "+smatch[0]+"-"+smatch[1]);
 				} else if (m.getEnd() < smatch[0]) { // next match
 					values.add(null);
@@ -276,11 +276,11 @@
 					iMatch++;
 					iStruct++;
 					if (iStruct < Nstruct)
-						smatch = CQPEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
+						smatch = CQPSearchEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
 				} else if(smatch[1] < m.getStart()) { // next struct
 					iStruct++;
 					if (iStruct < Nstruct)
-						smatch = CQPEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
+						smatch = CQPSearchEngine.getCqiClient().struc2Cpos(sup.getQualifiedName(), iStruct);
 				} else if (m.getEnd() < smatch[0]) { // next match
 					values.add(null);
 					annotationsStartEnd.add(null);
@@ -303,7 +303,7 @@
 			}
 		}
 
-		String[] svalues = CQPEngine.getCqiClient().struc2Str(sup.getQualifiedName(), tmp_strucs);
+		String[] svalues = CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), tmp_strucs);
 		ArrayList<Annotation> annotations = new ArrayList<Annotation>();
 		for (int i = 0 ; i < values.size() ; i++) { // remove the fake values
 			if (values.get(i) == null) {
@@ -342,12 +342,12 @@
 		StructuralUnitProperty sup = su.getProperty(REF);
 		if (sup == null) return null;
 		int[] cpos = {start, end};
-		int[] struc = CQPEngine.getCqiClient().cpos2Struc(sup.getQualifiedName(), cpos);
+		int[] struc = CQPSearchEngine.getCqiClient().cpos2Struc(sup.getQualifiedName(), cpos);
 
 		if (struc[0] >= 0) {
 			System.out.println("struct for positions "+start+"-"+end+" -> "+struc[0]+"-"+struc[1]);
 			if (struc[0] == struc[1]) { // même structure
-				String[] struc_str = CQPEngine.getCqiClient().struc2Str(sup.getQualifiedName(), struc);
+				String[] struc_str = CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), struc);
 				return struc_str[0];
 			} else { // should not happens
 				System.out.println("WARNING: FOUND EXISTING ANNOTATION FOR TYPE="+type+" START="+start+" END="+end);
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 785)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 786)
@@ -6,6 +6,7 @@
 import org.txm.core.engines.EngineType;
 import org.txm.core.engines.EnginesManager;
 
+//FIXME: useless class, the type and priority/order should be defined in org.txm.core.engines.EnginesManager extension point
 public class AnnotationEnginesManager extends EnginesManager<AnnotationEngine> {
 	
 	public AnnotationEnginesManager() {
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 785)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 786)
@@ -2,6 +2,7 @@
 
 import org.txm.core.engines.Engine;
 
+//FIXME: useless class
 public abstract class AnnotationEngine implements Engine {
 
 	public static final String EXTENSION_POINT_ID = AnnotationEngine.class.getCanonicalName();
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 785)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 786)
@@ -14,6 +14,7 @@
  * @author sjacquot
  *
  */
+//FIXME: useless class, the type and priority/order should be defined in org.txm.core.engines.EnginesManager extension point
 public class ChartsEnginesManager extends EnginesManager<ChartsEngine> {
 
 	@Override
@@ -39,7 +40,7 @@
 		
 		this.setCurrentEngine(TXMPreferences.getString(ChartsEnginePreferences.CURRENT_NAME, ChartsEnginePreferences.PREFERENCES_NODE));
 		
-		TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.PREFERENCES_NODE);
+		//TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.PREFERENCES_NODE);
 
 		return true;
 	}
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 785)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 786)
@@ -75,6 +75,11 @@
 	//FIXME: this preference is not used at this time, see if it's useless or not.
 	protected boolean directComputing; 
 
+	
+	static	{
+		TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.PREFERENCES_NODE);
+	}
+	
 	/**
 	 * Creates a charts engine with the specified name, description and output format.
 	 * @param name
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 785)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 786)
@@ -10,7 +10,7 @@
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
 import org.txm.objects.Text;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
@@ -76,8 +76,8 @@
 			result.drop();
 			//System.out.println("starts: "+Arrays.toString(starts));
 			//System.out.println("ends: "+Arrays.toString(ends));
-			int[] strcutpos = CQPEngine.getCqiClient().cpos2Struc(properties.get(j).getQualifiedName(), starts);
-			String[] infos = CQPEngine.getCqiClient().struc2Str(properties.get(j).getQualifiedName(), strcutpos);
+			int[] strcutpos = CQPSearchEngine.getCqiClient().cpos2Struc(properties.get(j).getQualifiedName(), starts);
+			String[] infos = CQPSearchEngine.getCqiClient().struc2Str(properties.get(j).getQualifiedName(), strcutpos);
 			//allMatches.put(suname, list);
 			if (starts.length != ends.length) {
 				System.out.println(suname+": starts.length "+starts.length+" != ends.length "+ends.length); //$NON-NLS-1$ //$NON-NLS-2$
@@ -165,9 +165,9 @@
 		StructuralUnitProperty text_id = corpus.getStructuralUnit("text").getProperty("id"); //$NON-NLS-1$ //$NON-NLS-2$
 		Property w_id =  corpus.getProperty("id"); //$NON-NLS-1$
 		int[] positions = {node.getStart()};
-		final String[] wordids = CQPEngine.getCqiClient().cpos2Str(w_id.getQualifiedName(), positions);
-		int[] textidstruct = CQPEngine.getCqiClient().cpos2Struc(text_id.getQualifiedName(), positions);
-		String[] textids = CQPEngine.getCqiClient().struc2Str(text_id.getQualifiedName(), textidstruct);
+		final String[] wordids = CQPSearchEngine.getCqiClient().cpos2Str(w_id.getQualifiedName(), positions);
+		int[] textidstruct = CQPSearchEngine.getCqiClient().cpos2Struc(text_id.getQualifiedName(), positions);
+		String[] textids = CQPSearchEngine.getCqiClient().struc2Str(text_id.getQualifiedName(), textidstruct);
 
 		if (wordids.length == 1 && textids.length == 1) {
 			Text text = corpus.getText(textids[0]);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 785)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 786)
@@ -45,7 +45,7 @@
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.TxmObject;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.searchengine.cqp.corpus.query.QueryPart;
@@ -287,7 +287,7 @@
 			
 		} catch (Exception e) {
 			try {
-				throw new CqiClientException(TXMCoreMessages.Partition_9 + partitionName + "_" + partName + e + " last error: " + CQPEngine.getCqiClient().getLastCQPError()); //$NON-NLS-1$ //$NON-NLS-2$
+				throw new CqiClientException(TXMCoreMessages.Partition_9 + partitionName + "_" + partName + e + " last error: " + CQPSearchEngine.getCqiClient().getLastCQPError()); //$NON-NLS-1$ //$NON-NLS-2$
 			} catch (Exception e1) {
 				System.out.println(TXMCoreMessages.Partition_18+e1);
 				org.txm.utils.logger.Log.printStackTrace(e1);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 785)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 786)
@@ -45,7 +45,7 @@
 import org.txm.objects.Text;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.AbstractCqiClient;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.corpus.query.Match;
@@ -387,7 +387,7 @@
 	 */
 	public boolean removeFromCWB() {
 		try {
-			if (CQPEngine.isInitialized()) {
+			if (CQPSearchEngine.isInitialized()) {
 				this.dropAllSubcorpora();
 				this.dropAllPartitions();
 			}
